Bug 1010490 - keepassx doesn't close current database when user opens new database via bookmarks menu.
keepassx doesn't close current database when user opens new database via book...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: keepassx (Show other bugs)
19
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 17:07 EDT by Andrey Vaynberger
Modified: 2015-02-17 12:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:16:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for this bug. (324 bytes, patch)
2013-09-20 17:07 EDT, Andrey Vaynberger
no flags Details | Diff

  None (edit)
Description Andrey Vaynberger 2013-09-20 17:07:23 EDT
Created attachment 800746 [details]
Fix for this bug.

Description of problem:
Keepassx doesn't close current database when user opens new database via bookmarks menu.

Version-Release number of selected component (if applicable):

keepassx-0.4.3-7

How reproducible:
Deterministic.

Steps to Reproduce:
1. Bookmark two databases
2. Open one database
3. Open other database by choosing it in bookmarks menu
4. Open first database again by choosing it in bookmarks menu

Actual results:
Message: "The database you are trying to open is locked.
This means that either someone else has opened the file or KeePassX crashed last time it opened the database. Do you want to open it anyway?"

Expected results:
keepassx should open database without any problem.

Additional info:
I've attached patch that fixes this bug to this issue.
Developers of keepassx don't maintain version 0.4.3 so I can't send patch into mainstream.
Comment 1 Fedora End Of Life 2015-01-09 14:55:05 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 12:16:33 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.